/*
 * Copyright (c) 1996 Nihon Sun Microsystems K.K.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.sql.Driver;
import COM.Sun.Japan.yjs.mwt.*;

/**
 * hCoo^_CAOEW[
 * @version	%I% %E%
 * @author 	Yuichi Omata, Nihon Sun Microsystems K.K.
 */
public class AddDriverDialog {

    JDBCTerminal app;
    AddDriverDialogGUI gui;

    public AddDriverDialog(JDBCTerminal app) {
	this.app = app;
	gui = new AddDriverDialogGUI(app.getMainFrame().gui, this);
    }

    public JDBCTerminal getApp() {
	return app;
    }

    public AddDriverDialogGUI getGUI() {
        return gui;
    }

    public void registerDriver(String driverName) {
        try {
            Class.forName(driverName);
            app.getMainFrame().updateDriverList();
        } catch (ClassNotFoundException ex) {
            gui.setVisible(false);
            new MessageDialog("Can not find driver " + driverName, app.getMainFrame().gui);
        }
    }

    public void setVisible(boolean b) {
	gui.setVisible(b);
    }

}
