/*
 * Copyright (c) 1996 Nihon Sun Microsystems K.K.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.servlet.*;
import java.servlet.html.*;
import java.io.*;
import java.sql.*;

/**
 * GetImage T[ubg
 * ^ꂽ name  hello e[u face J
 * 摜f[^擾ăuEUɑԂB
 * {ł getImage ƂO Jeeves ɓo^邱ƂɂȂĂB
 *
 * @author   Yuichi Omata, Nihon Sun Microsystems K.K.
 * @version	1.2 97/01/21
 */
public
class GetImage extends GenericServlet {

    ServletStub stub;
    int imageLen;
    byte[] buff = new byte[8192];

    // {̗ɍ킹Ĉȉ̐ڑ͖ߍł
    // ȉ 3 s폜Aservice \bh 4 s
    // RgAEgƔėpIȃT[ubgɐ܂ςH
    private final String url = "jdbc:odbc:hellodb";
    private final String username = "hellouser";
    private final String password = "hellopwd";
    
    /**
     * init \bh
     */
    public void init(ServletStub stub) throws ServletException {
        this.stub = stub;
    }

    /**
     * service \bh
     */
    public void service(ServletRequest req, ServletResponse res)
	throws ServletException, IOException
    {
        String name;//, url, username, password; // ėp̂
	Connection conn = null;

        name = req.getParameter("name");
         
        // ȉ 3 s͔ėp̂߂̗\
        // url = req.getParameter("url");
        // username = req.getParameter("username");
        // password = req.getParameter("password");
	
        // tH[̃p[^sȏꍇ͏I
        if (name == null || url == null ||
                username == null || password == null) {
            HtmlPage page = new HtmlPage("Result From getImage");
            page.add("Invalid Parameters");
            page.write(res.getOutputStream());
            return;
        }

         try {
            // JDBC-ODBC ubW̓o^
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");

            // f[^x[Xڑ̊m
            conn = DriverManager.getConnection(url, username, password);

            // ₢킹̎s
            Statement stmt = conn.createStatement();
            ResultSet rs = stmt.executeQuery(
                "SELECT face FROM hello WHERE name='" + name + "'");

            while (rs.next()) {
                // face J̉摜f[^̎擾
                int size;
                imageLen = 0;

                InputStream bs = rs.getBinaryStream("face");

                while ((size = bs.read(buff)) != -1) {
                     imageLen += size;
                }
            }
            // ڑ̉
            rs.close();
            stmt.close();
            conn.close();
        } catch (SQLException ex) {
            ex.printStackTrace();
        } catch (ClassNotFoundException ex) {
            ex.printStackTrace();
        }

        // 摜f[^o͂邽߂ɁAuEUɃwb_^
        res.setContentType("image/*");
        res.setContentLength(imageLen);

        // ۂ̉摜f[^̏o
	BufferedOutputStream out = 
            new BufferedOutputStream(res.getOutputStream(), imageLen);
        out.write(buff, 0, imageLen);
        out.flush();
    }

    /**
     * T[ubg̏Ԃ
     */
    public String getServletInfo() {
	return "Get face Image from hello table";
    }
}
