/*
 * Copyright (c) 1996 Nihon Sun Microsystems K.K.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

package COM.Sun.Japan.yjs.mwt;

import java.awt.*;

/**
 * xt̃eLXgEGAB
 *
 * @version	1.1 96/12/28
 * @author 	 T
 */
public class LabeledTextArea extends LabeledComponent {

    /**
     * xteLXgEGA
     */
    TextArea ta;

    /**
     * ̃x𐶐eLXgEGAƌтB
     * @param ta xteLXgEGA
     */
    public LabeledTextArea(TextArea ta) {
	this(ta, "", "ON_LEFT");
    }

    /**
     * w肵񂩂烉x𐶐eLXgEGAƌтB
     * @param ta xteLXgEGA
     * @param text x̕
     */
    public LabeledTextArea(TextArea ta, String text) {
        this(ta, text, "ON_LEFT");
    }

    /**
     * w肵񂩂烉x𐶐AeLXgEGA̎w肵ʒu
     * тB
     * @param ta xteLXgEGA
     * @param text x̕
     * @param alignment x̎wʒu
     */
    public LabeledTextArea(TextArea ta, String text, String alignment) {
	this(ta, new Label(text), alignment);
    }

    /**
     * w肵Ƌ̕eLXgEGAƎw肵
     * x𐶐Aw肵ʒuɌтB
     * @param clen eLXgEGA̒
     * @param rlen eLXgEGA̒
     * @param text x̕
     * @param alignment x̎wʒu
     */
    public LabeledTextArea(int clen, int rlen, String text, String alignment) {
	this(new TextArea(clen, rlen), new Label(text), alignment);
    }

    /**
     * xeLXgEGA̎w肵ʒuɌтB
     * @param ta xteLXgEGA
     * @param text x̕
     * @param alignment x̎wʒu
     */
    public LabeledTextArea(TextArea ta, Label label, String alignment) {
	super(ta, label, alignment);

	this.ta = ta;

	return;
    }

    /**
     * x擾B
     */
    public Label getLabel() {
	return label;
    }

    /**
     * eLXgEGA擾B
     */
    public TextArea getTextArea() {
	return ta;
    }

    /**
     * eLXgEGA當擾B
     */
    public String getText() {
	return ta.getText();
    }

    /**
     * eLXgEGA֕ݒ肷B
     */
    public void setText(String str) {
	ta.setText(str);
	return;
    }
}
