/*
 * Copyright (c) 1996 Nihon Sun Microsystems K.K.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

package COM.Sun.Japan.yjs.mwt;

import java.awt.*;

/**
 * xt̃eLXgtB[hB
 *
 * @version	1.1 96/12/28
 * @author 	 T
 */
public class LabeledTextField extends LabeledComponent {

    /**
     * xteLXgEtB[h
     */
    TextField tf;

    /**
     * ̃x𐶐eLXgEtB[hƌтB
     * @param tf xteLXgEtB[h
     */
    public LabeledTextField(TextField tf) {
	this(tf, "", "ON_LEFT");
    }

    /**
     * w肵񂩂烉x𐶐eLXgEtB[hƌтB
     * @param tf xteLXgEtB[h
     * @param text x̕
     */
    public LabeledTextField(TextField tf, String text) {
        this(tf, text, "ON_LEFT");
    }

    /**
     * w肵񂩂烉x𐶐AeLXgEtB[h̎w肵ʒu
     * тB
     * @param tf xteLXgEtB[h
     * @param text x̕
     * @param alignment x̎wʒu
     */
    public LabeledTextField(TextField tf, String text, String alignment) {
	this(tf, new Label(text), alignment);
    }

    /**
     * w肵Ƌ̕eLXgEtB[hƎw肵
     * x𐶐Aw肵ʒuɌтB
     * @param len eLXgEtB[h̒
     * @param text x̕
     * @param alignment x̎wʒu
     */
    public LabeledTextField(int len, String text, String alignment) {
	this(new TextField(len), new Label(text), alignment);
    }

    /**
     * xeLXgEtB[h̎w肵ʒuɌтB
     * @param tf xteLXgEtB[h
     * @param text x̕
     * @param alignment x̎wʒu
     */
    public LabeledTextField(TextField tf, Label label, String alignment) {
	super(tf, label, alignment);

	this.tf = tf;

	return;
    }

    /**
     * x擾B
     */
    public Label getLabel() {
	return label;
    }

    /**
     * eLXgEtB[h擾B
     */
    public TextField getTextField() {
	return tf;
    }

    /**
     * eLXgEtB[h當擾B
     */
    public String getText() {
	return tf.getText();
    }

    /**
     * eLXgEtB[h֕ݒ肷B
     */
    public void setText(String str) {
	tf.setText(str);
	return;
    }
}
